Package groovy.xml

# Enum MarkupBuilder.CharFilter

java.lang.Object
java.lang.Enum<MarkupBuilder.CharFilter>
groovy.xml.MarkupBuilder.CharFilter

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<MarkupBuilder.CharFilter>`, `java.lang.constant.Constable`

Enclosing class:
  MarkupBuilder

    public static enum MarkupBuilder.CharFilter
    extends java.lang.Enum<MarkupBuilder.CharFilter>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `NONE` |
  `XML_ALL` |
  `XML_STRICT` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static MarkupBuilder.CharFilter` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static MarkupBuilder.CharFilter[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### XML_STRICT

    public static final MarkupBuilder.CharFilter XML_STRICT

  - ### XML_ALL

    public static final MarkupBuilder.CharFilter XML_ALL

  - ### NONE

    public static final MarkupBuilder.CharFilter NONE

- ## Method Details

  - ### values

    public static MarkupBuilder.CharFilter[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static MarkupBuilder.CharFilter valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null